import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    commonData: {
      // parent: 1
    },
    userData: {
      
    },
    theme:null,
  },
  mutations: {
    setCommonData(state, val){
      state.commonData = val;
    },
    setCommonTheme(state, val){
      state.theme = val;
    }
  },
  actions: {
  },
  modules: {
  }
})
